Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.red5.io
Enum BufferType

    java.lang.Object
      java.lang.Enum<BufferType>
          org.red5.io.BufferType

All Implemented Interfaces:
  Serializable, Comparable<BufferType>

    public enum BufferType

extends Enum<BufferType>

Buffer types (auto, direct or heap).

Enum Constant Summary
`AUTO`
`DIRECT`
`HEAP`

Method Summary
`static BufferType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BufferType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTO

    public static final BufferType AUTO

### DIRECT

    public static final BufferType DIRECT

### HEAP

    public static final BufferType HEAP

Method Detail

### values

    public static BufferType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BufferType c : BufferType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BufferType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2010 The Red5 Project